# Flutter Sidekick

![GitHub release (latest by date)](https://img.shields.io/github/v/release/leoafarias/sidekick?style=flat-square) [![Github All Contributors](https://img.shields.io/github/all-contributors/leoafarias/sidekick?style=flat-square)](https://github.com/leoafarias/sidekick/graphs/contributors) [![Awesome Flutter](https://img.shields.io/badge/awesome-flutter-purple?longCache=true&style=flat-square)](https://github.com/Solido/awesome-flutter) ![GitHub](https://img.shields.io/github/license/leoafarias/sidekick?color=orange&style=flat-square)

Sidekick is an app that provides a simple desktop interface to tools that enhance Flutter development experience to make it even more delightful.

[![Download Sidekick](https://github.com/leoafarias/sidekick/blob/main/assets/download-banner.png?raw=true)](https://github.com/leoafarias/sidekick/releases/latest)

![Sidekick Screenshot](https://github.com/leoafarias/sidekick/blob/main/assets/screenshot.png?raw=true)

### [Installation Instructions](https://github.com/leoafarias/sidekick/wiki/Installing)
### [Adding a new Language](https://github.com/leoafarias/sidekick/wiki/Internationalization#adding-a-language)

## Features

- Manage Flutter versions
- Explore releases
- View most used packages
- Search versions across apps
- Version sandboxing (playground)
- more...

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/leoafarias"><img src="https://avatars.githubusercontent.com/u/435833?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Leo Farias</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/commits?author=leoafarias" title="Code">💻</a> <a href="#ideas-leoafarias" title="Ideas, Planning, & Feedback">🤔</a> <a href="#design-leoafarias" title="Design">🎨</a> <a href="https://github.com/leoafarias/sidekick/commits?author=leoafarias" title="Documentation">📖</a> <a href="#maintenance-leoafarias" title="Maintenance">🚧</a></td>
    <td align="center"><a href="http://eduardom.dev"><img src="https://avatars.githubusercontent.com/u/29983481?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Eduardo M.</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/commits?author=aguilaair" title="Code">💻</a> <a href="#ideas-aguilaair" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/leoafarias/sidekick/commits?author=aguilaair" title="Documentation">📖</a></td>
    <td align="center"><a href="http://technodisaster.wtf"><img src="https://avatars.githubusercontent.com/u/52817235?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Jayesh Nirve</b></sub></a><br /><a href="#maintenance-Techno-Disaster" title="Maintenance">🚧</a></td>
    <td align="center"><a href="https://youtube.com/c/PaulHalliday"><img src="https://avatars.githubusercontent.com/u/19576417?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Paul Halliday</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/commits?author=PaulHalliday" title="Code">💻</a> <a href="https://github.com/leoafarias/sidekick/issues?q=author%3APaulHalliday" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/anticafe"><img src="https://avatars.githubusercontent.com/u/340836?v=4?s=50" width="50px;" alt=""/><br /><sub><b>anticafe</b></sub></a><br /><a href="#a11y-anticafe" title="Accessibility">️️️️♿️</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://linktr.ee/arthurdenner"><img src="https://avatars.githubusercontent.com/u/13774309?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Arthur Denner</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/issues?q=author%3Aarthurdenner" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/MaximilianFlechtner"><img src="https://avatars.githubusercontent.com/u/66118057?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Maximilian Flechtner</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/commits?author=MaximilianFlechtner" title="Code">💻</a> <a href="#a11y-MaximilianFlechtner" title="Accessibility">️️️️♿️</a></td>
    <td align="center"><a href="https://github.com/kamel912"><img src="https://avatars.githubusercontent.com/u/23658096?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Mohamed Kamel</b></sub></a><br /><a href="#translation-kamel912" title="Translation">🌍</a></td>
    <td align="center"><a href="https://pedroermarinho.github.io"><img src="https://avatars.githubusercontent.com/u/29618874?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Pedro Marinho</b></sub></a><br /><a href="#infra-pedroermarinho" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-pedroermarinho" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="http://ahmadre.com"><img src="https://avatars.githubusercontent.com/u/18512224?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Rebar Ahmad</b></sub></a><br /><a href="https://github.com/leoafarias/sidekick/commits?author=Ahmadre" title="Code">💻</a> <a href="https://github.com/leoafarias/sidekick/commits?author=Ahmadre" title="Documentation">📖</a> <a href="#translation-Ahmadre" title="Translation">🌍</a> <a href="https://github.com/leoafarias/sidekick/issues?q=author%3AAhmadre" title="Bug reports">🐛</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/Hu-Wentao"><img src="https://avatars.githubusercontent.com/u/35894003?v=4?s=50" width="50px;" alt=""/><br /><sub><b>胡文涛</b></sub></a><br /><a href="#infra-Hu-Wentao" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
    <td align="center"><a href="http://www.brimir.eu"><img src="https://avatars.githubusercontent.com/u/8105390?v=4?s=50" width="50px;" alt=""/><br /><sub><b>Patrik Persson</b></sub></a><br /><a href="#translation-broderbluff" title="Translation">🌍</a></td>
    <td align="center"><a href="http://kassadin.github.io/"><img src="https://avatars.githubusercontent.com/u/1104051?v=4?s=50" width="50px;" alt=""/><br /><sub><b>kassadin</b></sub></a><br /><a href="#translation-kassadin" title="Translation">🌍</a></td>
    <td align="center"><a href="http://petner.kr"><img src="https://avatars.githubusercontent.com/u/37838834?v=4?s=50" width="50px;" alt=""/><br /><sub><b>seenewmax</b></sub></a><br /><a href="#translation-seenewmax" title="Translation">🌍</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
